httpd-modules-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Russ Allbery <...@stanford.edu>
Subject Re: 2.0 vs 2.2 API
Date Mon, 18 Sep 2006 19:47:01 GMT
Helmut Tessarek <tessarek@evermeet.cx> writes:

> Hi,

>> Howdy all, is a module written under v2.0.54 supposed to be
>> able to work with apache 2.2 without being recompiled ?

> I even had to change the code of my module a little bit.

I had a really hard time finding with specific documentation.  So far as I
could tell, the only change required to the authentication module I
maintain was:

#ifdef ap_http_method
    scheme = ap_run_http_method(r);
#else
    scheme = ap_run_http_scheme(r);
#endif

but I keep seeing unspecific comments about how there were a lot of
changes to authentication modules without details and I keep wondering if
I missed something.

-- 
Russ Allbery (rra@stanford.edu)             <http://www.eyrie.org/~eagle/>

Mime
View raw message